Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network156.83.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
156.83.0.0
Broadcast address
156.83.255.255
First usable
156.83.0.1
Last usable
156.83.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex 9C530000 · Integer 2622685184 to 2622750719
Reverse DNS zone
83.156.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011100.01010011..00000000.00000000156.83.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10011100.01010011..00000000.00000000156.83.0.0
Broadcast10011100.01010011..11111111.11111111156.83.255.255
Split into smaller subnets/24

156.83.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1156.83.0.0/24156.83.0.1 to 156.83.0.254156.83.0.255254
2156.83.1.0/24156.83.1.1 to 156.83.1.254156.83.1.255254
3156.83.2.0/24156.83.2.1 to 156.83.2.254156.83.2.255254
4156.83.3.0/24156.83.3.1 to 156.83.3.254156.83.3.255254
5156.83.4.0/24156.83.4.1 to 156.83.4.254156.83.4.255254
6156.83.5.0/24156.83.5.1 to 156.83.5.254156.83.5.255254
7156.83.6.0/24156.83.6.1 to 156.83.6.254156.83.6.255254
8156.83.7.0/24156.83.7.1 to 156.83.7.254156.83.7.255254
9156.83.8.0/24156.83.8.1 to 156.83.8.254156.83.8.255254
10156.83.9.0/24156.83.9.1 to 156.83.9.254156.83.9.255254
11156.83.10.0/24156.83.10.1 to 156.83.10.254156.83.10.255254
12156.83.11.0/24156.83.11.1 to 156.83.11.254156.83.11.255254
13156.83.12.0/24156.83.12.1 to 156.83.12.254156.83.12.255254
14156.83.13.0/24156.83.13.1 to 156.83.13.254156.83.13.255254
15156.83.14.0/24156.83.14.1 to 156.83.14.254156.83.14.255254
16156.83.15.0/24156.83.15.1 to 156.83.15.254156.83.15.255254
17156.83.16.0/24156.83.16.1 to 156.83.16.254156.83.16.255254
18156.83.17.0/24156.83.17.1 to 156.83.17.254156.83.17.255254
19156.83.18.0/24156.83.18.1 to 156.83.18.254156.83.18.255254
20156.83.19.0/24156.83.19.1 to 156.83.19.254156.83.19.255254
21156.83.20.0/24156.83.20.1 to 156.83.20.254156.83.20.255254
22156.83.21.0/24156.83.21.1 to 156.83.21.254156.83.21.255254
23156.83.22.0/24156.83.22.1 to 156.83.22.254156.83.22.255254
24156.83.23.0/24156.83.23.1 to 156.83.23.254156.83.23.255254
25156.83.24.0/24156.83.24.1 to 156.83.24.254156.83.24.255254
26156.83.25.0/24156.83.25.1 to 156.83.25.254156.83.25.255254
27156.83.26.0/24156.83.26.1 to 156.83.26.254156.83.26.255254
28156.83.27.0/24156.83.27.1 to 156.83.27.254156.83.27.255254
29156.83.28.0/24156.83.28.1 to 156.83.28.254156.83.28.255254
30156.83.29.0/24156.83.29.1 to 156.83.29.254156.83.29.255254
31156.83.30.0/24156.83.30.1 to 156.83.30.254156.83.30.255254
32156.83.31.0/24156.83.31.1 to 156.83.31.254156.83.31.255254
33156.83.32.0/24156.83.32.1 to 156.83.32.254156.83.32.255254
34156.83.33.0/24156.83.33.1 to 156.83.33.254156.83.33.255254
35156.83.34.0/24156.83.34.1 to 156.83.34.254156.83.34.255254
36156.83.35.0/24156.83.35.1 to 156.83.35.254156.83.35.255254
37156.83.36.0/24156.83.36.1 to 156.83.36.254156.83.36.255254
38156.83.37.0/24156.83.37.1 to 156.83.37.254156.83.37.255254
39156.83.38.0/24156.83.38.1 to 156.83.38.254156.83.38.255254
40156.83.39.0/24156.83.39.1 to 156.83.39.254156.83.39.255254
41156.83.40.0/24156.83.40.1 to 156.83.40.254156.83.40.255254
42156.83.41.0/24156.83.41.1 to 156.83.41.254156.83.41.255254
43156.83.42.0/24156.83.42.1 to 156.83.42.254156.83.42.255254
44156.83.43.0/24156.83.43.1 to 156.83.43.254156.83.43.255254
45156.83.44.0/24156.83.44.1 to 156.83.44.254156.83.44.255254
46156.83.45.0/24156.83.45.1 to 156.83.45.254156.83.45.255254
47156.83.46.0/24156.83.46.1 to 156.83.46.254156.83.46.255254
48156.83.47.0/24156.83.47.1 to 156.83.47.254156.83.47.255254
49156.83.48.0/24156.83.48.1 to 156.83.48.254156.83.48.255254
50156.83.49.0/24156.83.49.1 to 156.83.49.254156.83.49.255254
51156.83.50.0/24156.83.50.1 to 156.83.50.254156.83.50.255254
52156.83.51.0/24156.83.51.1 to 156.83.51.254156.83.51.255254
53156.83.52.0/24156.83.52.1 to 156.83.52.254156.83.52.255254
54156.83.53.0/24156.83.53.1 to 156.83.53.254156.83.53.255254
55156.83.54.0/24156.83.54.1 to 156.83.54.254156.83.54.255254
56156.83.55.0/24156.83.55.1 to 156.83.55.254156.83.55.255254
57156.83.56.0/24156.83.56.1 to 156.83.56.254156.83.56.255254
58156.83.57.0/24156.83.57.1 to 156.83.57.254156.83.57.255254
59156.83.58.0/24156.83.58.1 to 156.83.58.254156.83.58.255254
60156.83.59.0/24156.83.59.1 to 156.83.59.254156.83.59.255254
61156.83.60.0/24156.83.60.1 to 156.83.60.254156.83.60.255254
62156.83.61.0/24156.83.61.1 to 156.83.61.254156.83.61.255254
63156.83.62.0/24156.83.62.1 to 156.83.62.254156.83.62.255254
64156.83.63.0/24156.83.63.1 to 156.83.63.254156.83.63.255254
65156.83.64.0/24156.83.64.1 to 156.83.64.254156.83.64.255254
66156.83.65.0/24156.83.65.1 to 156.83.65.254156.83.65.255254
67156.83.66.0/24156.83.66.1 to 156.83.66.254156.83.66.255254
68156.83.67.0/24156.83.67.1 to 156.83.67.254156.83.67.255254
69156.83.68.0/24156.83.68.1 to 156.83.68.254156.83.68.255254
70156.83.69.0/24156.83.69.1 to 156.83.69.254156.83.69.255254
71156.83.70.0/24156.83.70.1 to 156.83.70.254156.83.70.255254
72156.83.71.0/24156.83.71.1 to 156.83.71.254156.83.71.255254
73156.83.72.0/24156.83.72.1 to 156.83.72.254156.83.72.255254
74156.83.73.0/24156.83.73.1 to 156.83.73.254156.83.73.255254
75156.83.74.0/24156.83.74.1 to 156.83.74.254156.83.74.255254
76156.83.75.0/24156.83.75.1 to 156.83.75.254156.83.75.255254
77156.83.76.0/24156.83.76.1 to 156.83.76.254156.83.76.255254
78156.83.77.0/24156.83.77.1 to 156.83.77.254156.83.77.255254
79156.83.78.0/24156.83.78.1 to 156.83.78.254156.83.78.255254
80156.83.79.0/24156.83.79.1 to 156.83.79.254156.83.79.255254
81156.83.80.0/24156.83.80.1 to 156.83.80.254156.83.80.255254
82156.83.81.0/24156.83.81.1 to 156.83.81.254156.83.81.255254
83156.83.82.0/24156.83.82.1 to 156.83.82.254156.83.82.255254
84156.83.83.0/24156.83.83.1 to 156.83.83.254156.83.83.255254
85156.83.84.0/24156.83.84.1 to 156.83.84.254156.83.84.255254
86156.83.85.0/24156.83.85.1 to 156.83.85.254156.83.85.255254
87156.83.86.0/24156.83.86.1 to 156.83.86.254156.83.86.255254
88156.83.87.0/24156.83.87.1 to 156.83.87.254156.83.87.255254
89156.83.88.0/24156.83.88.1 to 156.83.88.254156.83.88.255254
90156.83.89.0/24156.83.89.1 to 156.83.89.254156.83.89.255254
91156.83.90.0/24156.83.90.1 to 156.83.90.254156.83.90.255254
92156.83.91.0/24156.83.91.1 to 156.83.91.254156.83.91.255254
93156.83.92.0/24156.83.92.1 to 156.83.92.254156.83.92.255254
94156.83.93.0/24156.83.93.1 to 156.83.93.254156.83.93.255254
95156.83.94.0/24156.83.94.1 to 156.83.94.254156.83.94.255254
96156.83.95.0/24156.83.95.1 to 156.83.95.254156.83.95.255254
97156.83.96.0/24156.83.96.1 to 156.83.96.254156.83.96.255254
98156.83.97.0/24156.83.97.1 to 156.83.97.254156.83.97.255254
99156.83.98.0/24156.83.98.1 to 156.83.98.254156.83.98.255254
100156.83.99.0/24156.83.99.1 to 156.83.99.254156.83.99.255254
101156.83.100.0/24156.83.100.1 to 156.83.100.254156.83.100.255254
102156.83.101.0/24156.83.101.1 to 156.83.101.254156.83.101.255254
103156.83.102.0/24156.83.102.1 to 156.83.102.254156.83.102.255254
104156.83.103.0/24156.83.103.1 to 156.83.103.254156.83.103.255254
105156.83.104.0/24156.83.104.1 to 156.83.104.254156.83.104.255254
106156.83.105.0/24156.83.105.1 to 156.83.105.254156.83.105.255254
107156.83.106.0/24156.83.106.1 to 156.83.106.254156.83.106.255254
108156.83.107.0/24156.83.107.1 to 156.83.107.254156.83.107.255254
109156.83.108.0/24156.83.108.1 to 156.83.108.254156.83.108.255254
110156.83.109.0/24156.83.109.1 to 156.83.109.254156.83.109.255254
111156.83.110.0/24156.83.110.1 to 156.83.110.254156.83.110.255254
112156.83.111.0/24156.83.111.1 to 156.83.111.254156.83.111.255254
113156.83.112.0/24156.83.112.1 to 156.83.112.254156.83.112.255254
114156.83.113.0/24156.83.113.1 to 156.83.113.254156.83.113.255254
115156.83.114.0/24156.83.114.1 to 156.83.114.254156.83.114.255254
116156.83.115.0/24156.83.115.1 to 156.83.115.254156.83.115.255254
117156.83.116.0/24156.83.116.1 to 156.83.116.254156.83.116.255254
118156.83.117.0/24156.83.117.1 to 156.83.117.254156.83.117.255254
119156.83.118.0/24156.83.118.1 to 156.83.118.254156.83.118.255254
120156.83.119.0/24156.83.119.1 to 156.83.119.254156.83.119.255254
121156.83.120.0/24156.83.120.1 to 156.83.120.254156.83.120.255254
122156.83.121.0/24156.83.121.1 to 156.83.121.254156.83.121.255254
123156.83.122.0/24156.83.122.1 to 156.83.122.254156.83.122.255254
124156.83.123.0/24156.83.123.1 to 156.83.123.254156.83.123.255254
125156.83.124.0/24156.83.124.1 to 156.83.124.254156.83.124.255254
126156.83.125.0/24156.83.125.1 to 156.83.125.254156.83.125.255254
127156.83.126.0/24156.83.126.1 to 156.83.126.254156.83.126.255254
128156.83.127.0/24156.83.127.1 to 156.83.127.254156.83.127.255254
129156.83.128.0/24156.83.128.1 to 156.83.128.254156.83.128.255254
130156.83.129.0/24156.83.129.1 to 156.83.129.254156.83.129.255254
131156.83.130.0/24156.83.130.1 to 156.83.130.254156.83.130.255254
132156.83.131.0/24156.83.131.1 to 156.83.131.254156.83.131.255254
133156.83.132.0/24156.83.132.1 to 156.83.132.254156.83.132.255254
134156.83.133.0/24156.83.133.1 to 156.83.133.254156.83.133.255254
135156.83.134.0/24156.83.134.1 to 156.83.134.254156.83.134.255254
136156.83.135.0/24156.83.135.1 to 156.83.135.254156.83.135.255254
137156.83.136.0/24156.83.136.1 to 156.83.136.254156.83.136.255254
138156.83.137.0/24156.83.137.1 to 156.83.137.254156.83.137.255254
139156.83.138.0/24156.83.138.1 to 156.83.138.254156.83.138.255254
140156.83.139.0/24156.83.139.1 to 156.83.139.254156.83.139.255254
141156.83.140.0/24156.83.140.1 to 156.83.140.254156.83.140.255254
142156.83.141.0/24156.83.141.1 to 156.83.141.254156.83.141.255254
143156.83.142.0/24156.83.142.1 to 156.83.142.254156.83.142.255254
144156.83.143.0/24156.83.143.1 to 156.83.143.254156.83.143.255254
145156.83.144.0/24156.83.144.1 to 156.83.144.254156.83.144.255254
146156.83.145.0/24156.83.145.1 to 156.83.145.254156.83.145.255254
147156.83.146.0/24156.83.146.1 to 156.83.146.254156.83.146.255254
148156.83.147.0/24156.83.147.1 to 156.83.147.254156.83.147.255254
149156.83.148.0/24156.83.148.1 to 156.83.148.254156.83.148.255254
150156.83.149.0/24156.83.149.1 to 156.83.149.254156.83.149.255254
151156.83.150.0/24156.83.150.1 to 156.83.150.254156.83.150.255254
152156.83.151.0/24156.83.151.1 to 156.83.151.254156.83.151.255254
153156.83.152.0/24156.83.152.1 to 156.83.152.254156.83.152.255254
154156.83.153.0/24156.83.153.1 to 156.83.153.254156.83.153.255254
155156.83.154.0/24156.83.154.1 to 156.83.154.254156.83.154.255254
156156.83.155.0/24156.83.155.1 to 156.83.155.254156.83.155.255254
157156.83.156.0/24156.83.156.1 to 156.83.156.254156.83.156.255254
158156.83.157.0/24156.83.157.1 to 156.83.157.254156.83.157.255254
159156.83.158.0/24156.83.158.1 to 156.83.158.254156.83.158.255254
160156.83.159.0/24156.83.159.1 to 156.83.159.254156.83.159.255254
161156.83.160.0/24156.83.160.1 to 156.83.160.254156.83.160.255254
162156.83.161.0/24156.83.161.1 to 156.83.161.254156.83.161.255254
163156.83.162.0/24156.83.162.1 to 156.83.162.254156.83.162.255254
164156.83.163.0/24156.83.163.1 to 156.83.163.254156.83.163.255254
165156.83.164.0/24156.83.164.1 to 156.83.164.254156.83.164.255254
166156.83.165.0/24156.83.165.1 to 156.83.165.254156.83.165.255254
167156.83.166.0/24156.83.166.1 to 156.83.166.254156.83.166.255254
168156.83.167.0/24156.83.167.1 to 156.83.167.254156.83.167.255254
169156.83.168.0/24156.83.168.1 to 156.83.168.254156.83.168.255254
170156.83.169.0/24156.83.169.1 to 156.83.169.254156.83.169.255254
171156.83.170.0/24156.83.170.1 to 156.83.170.254156.83.170.255254
172156.83.171.0/24156.83.171.1 to 156.83.171.254156.83.171.255254
173156.83.172.0/24156.83.172.1 to 156.83.172.254156.83.172.255254
174156.83.173.0/24156.83.173.1 to 156.83.173.254156.83.173.255254
175156.83.174.0/24156.83.174.1 to 156.83.174.254156.83.174.255254
176156.83.175.0/24156.83.175.1 to 156.83.175.254156.83.175.255254
177156.83.176.0/24156.83.176.1 to 156.83.176.254156.83.176.255254
178156.83.177.0/24156.83.177.1 to 156.83.177.254156.83.177.255254
179156.83.178.0/24156.83.178.1 to 156.83.178.254156.83.178.255254
180156.83.179.0/24156.83.179.1 to 156.83.179.254156.83.179.255254
181156.83.180.0/24156.83.180.1 to 156.83.180.254156.83.180.255254
182156.83.181.0/24156.83.181.1 to 156.83.181.254156.83.181.255254
183156.83.182.0/24156.83.182.1 to 156.83.182.254156.83.182.255254
184156.83.183.0/24156.83.183.1 to 156.83.183.254156.83.183.255254
185156.83.184.0/24156.83.184.1 to 156.83.184.254156.83.184.255254
186156.83.185.0/24156.83.185.1 to 156.83.185.254156.83.185.255254
187156.83.186.0/24156.83.186.1 to 156.83.186.254156.83.186.255254
188156.83.187.0/24156.83.187.1 to 156.83.187.254156.83.187.255254
189156.83.188.0/24156.83.188.1 to 156.83.188.254156.83.188.255254
190156.83.189.0/24156.83.189.1 to 156.83.189.254156.83.189.255254
191156.83.190.0/24156.83.190.1 to 156.83.190.254156.83.190.255254
192156.83.191.0/24156.83.191.1 to 156.83.191.254156.83.191.255254
193156.83.192.0/24156.83.192.1 to 156.83.192.254156.83.192.255254
194156.83.193.0/24156.83.193.1 to 156.83.193.254156.83.193.255254
195156.83.194.0/24156.83.194.1 to 156.83.194.254156.83.194.255254
196156.83.195.0/24156.83.195.1 to 156.83.195.254156.83.195.255254
197156.83.196.0/24156.83.196.1 to 156.83.196.254156.83.196.255254
198156.83.197.0/24156.83.197.1 to 156.83.197.254156.83.197.255254
199156.83.198.0/24156.83.198.1 to 156.83.198.254156.83.198.255254
200156.83.199.0/24156.83.199.1 to 156.83.199.254156.83.199.255254
201156.83.200.0/24156.83.200.1 to 156.83.200.254156.83.200.255254
202156.83.201.0/24156.83.201.1 to 156.83.201.254156.83.201.255254
203156.83.202.0/24156.83.202.1 to 156.83.202.254156.83.202.255254
204156.83.203.0/24156.83.203.1 to 156.83.203.254156.83.203.255254
205156.83.204.0/24156.83.204.1 to 156.83.204.254156.83.204.255254
206156.83.205.0/24156.83.205.1 to 156.83.205.254156.83.205.255254
207156.83.206.0/24156.83.206.1 to 156.83.206.254156.83.206.255254
208156.83.207.0/24156.83.207.1 to 156.83.207.254156.83.207.255254
209156.83.208.0/24156.83.208.1 to 156.83.208.254156.83.208.255254
210156.83.209.0/24156.83.209.1 to 156.83.209.254156.83.209.255254
211156.83.210.0/24156.83.210.1 to 156.83.210.254156.83.210.255254
212156.83.211.0/24156.83.211.1 to 156.83.211.254156.83.211.255254
213156.83.212.0/24156.83.212.1 to 156.83.212.254156.83.212.255254
214156.83.213.0/24156.83.213.1 to 156.83.213.254156.83.213.255254
215156.83.214.0/24156.83.214.1 to 156.83.214.254156.83.214.255254
216156.83.215.0/24156.83.215.1 to 156.83.215.254156.83.215.255254
217156.83.216.0/24156.83.216.1 to 156.83.216.254156.83.216.255254
218156.83.217.0/24156.83.217.1 to 156.83.217.254156.83.217.255254
219156.83.218.0/24156.83.218.1 to 156.83.218.254156.83.218.255254
220156.83.219.0/24156.83.219.1 to 156.83.219.254156.83.219.255254
221156.83.220.0/24156.83.220.1 to 156.83.220.254156.83.220.255254
222156.83.221.0/24156.83.221.1 to 156.83.221.254156.83.221.255254
223156.83.222.0/24156.83.222.1 to 156.83.222.254156.83.222.255254
224156.83.223.0/24156.83.223.1 to 156.83.223.254156.83.223.255254
225156.83.224.0/24156.83.224.1 to 156.83.224.254156.83.224.255254
226156.83.225.0/24156.83.225.1 to 156.83.225.254156.83.225.255254
227156.83.226.0/24156.83.226.1 to 156.83.226.254156.83.226.255254
228156.83.227.0/24156.83.227.1 to 156.83.227.254156.83.227.255254
229156.83.228.0/24156.83.228.1 to 156.83.228.254156.83.228.255254
230156.83.229.0/24156.83.229.1 to 156.83.229.254156.83.229.255254
231156.83.230.0/24156.83.230.1 to 156.83.230.254156.83.230.255254
232156.83.231.0/24156.83.231.1 to 156.83.231.254156.83.231.255254
233156.83.232.0/24156.83.232.1 to 156.83.232.254156.83.232.255254
234156.83.233.0/24156.83.233.1 to 156.83.233.254156.83.233.255254
235156.83.234.0/24156.83.234.1 to 156.83.234.254156.83.234.255254
236156.83.235.0/24156.83.235.1 to 156.83.235.254156.83.235.255254
237156.83.236.0/24156.83.236.1 to 156.83.236.254156.83.236.255254
238156.83.237.0/24156.83.237.1 to 156.83.237.254156.83.237.255254
239156.83.238.0/24156.83.238.1 to 156.83.238.254156.83.238.255254
240156.83.239.0/24156.83.239.1 to 156.83.239.254156.83.239.255254
241156.83.240.0/24156.83.240.1 to 156.83.240.254156.83.240.255254
242156.83.241.0/24156.83.241.1 to 156.83.241.254156.83.241.255254
243156.83.242.0/24156.83.242.1 to 156.83.242.254156.83.242.255254
244156.83.243.0/24156.83.243.1 to 156.83.243.254156.83.243.255254
245156.83.244.0/24156.83.244.1 to 156.83.244.254156.83.244.255254
246156.83.245.0/24156.83.245.1 to 156.83.245.254156.83.245.255254
247156.83.246.0/24156.83.246.1 to 156.83.246.254156.83.246.255254
248156.83.247.0/24156.83.247.1 to 156.83.247.254156.83.247.255254
249156.83.248.0/24156.83.248.1 to 156.83.248.254156.83.248.255254
250156.83.249.0/24156.83.249.1 to 156.83.249.254156.83.249.255254
251156.83.250.0/24156.83.250.1 to 156.83.250.254156.83.250.255254
252156.83.251.0/24156.83.251.1 to 156.83.251.254156.83.251.255254
253156.83.252.0/24156.83.252.1 to 156.83.252.254156.83.252.255254
254156.83.253.0/24156.83.253.1 to 156.83.253.254156.83.253.255254
255156.83.254.0/24156.83.254.1 to 156.83.254.254156.83.254.255254
256156.83.255.0/24156.83.255.1 to 156.83.255.254156.83.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses